<?php

/**
 * @file
 * Contains \Drupal\weeronline_formatter\Plugin\Field\FieldFormatter\WeerOnlineIdFormatter.
 */

namespace Drupal\weeronline_formatter\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'weeronline_id' formatter.
 *
 * @FieldFormatter(
 *   id = "weeronline_id",
 *   label = @Translation("WeerOnline Formatter"),
 *   field_types = {
 *     "integer"
 *   }
 * )
 */

class WeerOnlineIdFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    foreach ($items as $delta => $item) {
      $weeronline_id = $item->value;
      $elements[$delta] = [
        '#theme' => 'weeronline_id_formatter',
        '#weeronline_id' => $weeronline_id,
      ];
    }

    return $elements;
  }

}
